<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('order_archives', function (Blueprint $table) {
            $table->dateTime('APILastGetting')->nullable()->after('sumPrice');
            $table->uuid('APICallBackId')->nullable()->after('APILastGetting');
            $table->dateTime('APIConfirmed')->nullable()->after('APICallBackId');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('order_archives', function (Blueprint $table) {
            $table->dropColumn('APILastGetting');
            $table->dropColumn('APIConfirmed');
        });
    }
};
